org.eclipse.jgit.revwalk

## Class RevFlag

- java.lang.Object
- - org.eclipse.jgit.revwalk.RevFlag

    public class RevFlag
    extends Object

Application level mark bit for `RevObject`s.

To create a flag use `RevWalk.newFlag(String)`.

### Field Summary

Fields
`static RevFlag` `SEEN` Set on RevCommit instances added to `RevWalk.pending` queue.
`static RevFlag` `UNINTERESTING` Uninteresting by `RevWalk.markUninteresting(RevCommit)`.

### Method Summary

Methods
`RevWalk` `getRevWalk()` Get the revision walk instance this flag was created from.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### UNINTERESTING

    public static final RevFlag UNINTERESTING

Uninteresting by `RevWalk.markUninteresting(RevCommit)`.

We flag commits as uninteresting if the caller does not want commits reachable from a commit to `RevWalk.markUninteresting(RevCommit)`. This flag is always carried into the commit's parents and is a key part of the "rev-list B --not A" feature; A is marked UNINTERESTING.

This is a static flag. Its RevWalk is not available.

#### SEEN

    public static final RevFlag SEEN

Set on RevCommit instances added to `RevWalk.pending` queue.

We use this flag to avoid adding the same commit instance twice to our queue, especially if we reached it by more than one path.

This is a static flag. Its RevWalk is not available.

Since:
  3.0

### Method Detail

#### getRevWalk

    public RevWalk getRevWalk()

Get the revision walk instance this flag was created from.

Returns:
  the walker this flag was allocated out of, and belongs to.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`